compact2, compact3
org.w3c.dom.html

## Interface HTMLBaseFontElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLBaseFontElement
    extends HTMLElement

Base font. See the BASEFONT element definition in HTML 4.0. This element is deprecated in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getColor()` Font color.
`String` `getFace()` Font face identifier.
`String` `getSize()` Font size.
`void` `setColor(String color)`
`void` `setFace(String face)`
`void` `setSize(String size)`

### Methods inherited from interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getColor

    String getColor()

Font color. See the color attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

#### setColor

    void setColor(String color)

#### getFace

    String getFace()

Font face identifier. See the face attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

#### setFace

    void setFace(String face)

#### getSize

    String getSize()

Font size. See the size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

#### setSize

    void setSize(String size)